export type SpaceData = {
    id: string;
    customId: string;
    name: string;
    butlrName?: string;
    attributes: {
        usage: string;
        program: string;
    };
    capacity: number;
};
export type State = {
    currentTimeStamp: number;
    butlrApiMode: ButlrApiMode;
    reportingMode: ReportingMode;
    spaces: SpaceData[];
    zones: [];
    start: string;
    stop: string;
    interval: string;
    timeStamps: string[];
    reportFunction: string;
    maxDetections: number;
    capDetectionValues: number;
    spaceFilter: string[];
    selectedSpace: SpaceData | null;
    isComputing: boolean;
};
export declare const state: {
    currentTimeStamp: number;
    butlrApiMode: ButlrApiMode;
    reportingMode: ReportingMode;
    spaces: {
        id: string;
        customId: string;
        name: string;
        butlrName?: string;
        attributes: {
            usage: string;
            program: string;
        };
        capacity: number;
    }[];
    zones: [];
    start: string;
    stop: string;
    interval: string;
    timeStamps: string[];
    reportFunction: string;
    maxDetections: number;
    capDetectionValues: number;
    spaceFilter: string[];
    selectedSpace: {
        id: string;
        customId: string;
        name: string;
        butlrName?: string;
        attributes: {
            usage: string;
            program: string;
        };
        capacity: number;
    };
    isComputing: boolean;
};
export declare const filteredSpaceList: import('../vue/dist/vue.esm-browser.prod.js').ComputedRef<{
    id: string;
    customId: string;
    name: string;
    butlrName?: string;
    attributes: {
        usage: string;
        program: string;
    };
    capacity: number;
}[]>;
export type ButlrApiMode = 'reporting' | 'heatmap';
export type ReportingMode = 'occupancy' | 'utilization';
export declare const colors: Record<ReportingMode, string>;
export declare const butlrIntervalOptions: {
    value: string;
    label: string;
}[];
export declare const butlrFunctionOptions: {
    value: string;
    label: string;
}[];
export declare const butlrApiMode: {
    label: string;
    value: string;
}[];
export declare const reportingModeOptions: {
    label: string;
    value: string;
}[];
export declare const spaceUsageOptions: {
    value: string;
    label: string;
}[];
